<div class="col-lg-12 col-md-12 col-sm-12 onboarding-content">
  <div class="col-lg-12 col-md-12 onboarding-nav-option">
    <div class="btn-group">
      <a class="btn btn-default btn-icon btn-custom-nav" [ngClass]="{ 'active': !isEditMode }" (click)="isEditMode = false;resetForm();">
        <span class="material-icons">add_circle</span><span class="hidden-xs"> Create New Facility</span></a>
    </div>

    <div class="btn-group">
      <a class="btn btn-default btn-icon btn-custom-nav" [ngClass]="{ 'active': isEditMode }" (click)="isEditMode = true;getAvailableFacility()">
        <span class="material-icons">domain</span><span class="hidden-xs"> Select Existing Facility</span></a>
    </div>
  </div>


  <form #onboardingForm="ngForm" class="onboarding-form">
    <div class="row">
      <!-- main row -->
      <div class="col-lg-7 col-md-7 col-sm-7">

        <div class="row">
          <!-- first row -->
          <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 organization-left org-img-holder">
            <label class="control-label">Facility Details</label>
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 thumbnail">
              <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-padding form-group">
                <img class="img img-responsive default" [src]="facility.logo" alt=""/>
                <span class="material-icons upload-icon" (click)="file.open()">camera_alt</span>
                <app-file-upload #file (file)="changeImage($event)"></app-file-upload>
                <input type="text" class="hidden" name="logo" [(ngModel)]="facility.logo" required #organizationLogo="ngModel">

              </div>
              <div class="col-lg-8 col-md-8 col-sm-8 col-xs-7 no-padding input-group-sm">
                <label class="control-label required-lbl">Facility Name</label>
                <span *ngIf="!isEditMode">
                <input type="text" class="form-control input-sm" name="facilityNameInput" #facilityNameInput="ngModel" [(ngModel)]="facility.facilityName" required maxlength="64"
                 pattern="[a-zA-Z][a-zA-Z ]*([']?[-]?)[a-zA-Z ]*">

                <div *ngIf="facilityNameInput.errors && (facilityNameInput.dirty || facilityNameInput.touched)" class="text-danger">
                  <div [hidden]="!facilityNameInput.errors.required">
                    Facility Name is required.
                  </div>
                  <div [hidden]="!facilityNameInput.errors.minlength">
                    Facility Name must be at least 4 characters long.
                  </div>
                  <div [hidden]="!facilityNameInput.errors.maxlength">
                   Facility Name cannot be more than 64 characters long.
                  </div>
                  <div [hidden]="!facilityNameInput.errors.pattern">
                    Please enter valid Facility Name
                  </div>
                </div>
                  </span>
                <span *ngIf="isEditMode">
                <select class="form-control input-sm" name="assetIdSelect" [(ngModel)]="facilityIndex" (change)="getSelectedFacility(facilityIndex)">
                  <option value="">Select Facility Name</option>
                  <option *ngFor="let exfacility of availableFacility" [ngValue]="exfacility">{{exfacility.facilityName}}</option>
                </select>
                  </span>

              </div>
              <div class="col-lg-4 col-md-4 col-sm-4 col-xs-5 status-icon-group">
                <div class="control-label">Active</div>
                <label class="switch">
                <input type="checkbox" name="status" [(ngModel)]="facility.status">
                <div class="slider round"></div>
              </label>
              </div>
            </div>
          </div>


          <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 organization-left">

            <div class="form-group has-feedback has-feedback-left">
              <label class="control-label required-lbl">Address</label>
              <input type="text" class="form-control" #addressName="ngModel" [(ngModel)]="addressname" name="addressName" required pattern="^[0-9a-zA-Z-, ]+$">
              <span class="form-control-feedback"><span class="material-icons">location_on</span></span>
              <div *ngIf="addressName.errors && (addressName.dirty || addressName.touched)" class="text-danger">
                <div [hidden]="!addressName.errors.required">
                  Address is required.
                </div>
                <div [hidden]="!addressName.errors.pattern">
                  Please enter valid address
                </div>
              </div>
            </div>


            <div class="form-group has-feedback">
              <label class="control-label required-lbl">Timezone</label>
              <select class="form-control" [(ngModel)]="facility.timezone" name="timezoneSelect" #timezoneSelect="ngModel" required>
                <option *ngFor="let tzone of timezone" [value]="tzone.id">{{tzone.displayName}}</option>
              </select>

              <div *ngIf="timezoneSelect.errors && (timezoneSelect.dirty || timezoneSelect.touched)" class="text-danger">
                <div [hidden]="!timezoneSelect.errors.required">
                  Timezone is required.
                </div>
              </div>
            </div>

            <div class="form-group has-feedback">
              <label class="control-label">Facility type</label>
              <input type="text" class="form-control" [(ngModel)]="facility.facilityType" name="makeInput" #makeInput="ngModel"
                maxlength="64" pattern="[a-zA-Z][a-zA-Z ]*([']?[-]?)[a-zA-Z ]*">
              <div *ngIf="makeInput.errors && (makeInput.dirty || makeInput.touched)" class="text-danger">
                <div [hidden]="!makeInput.errors.required">
                  Facility type is required.
                </div>
                <div [hidden]="!makeInput.errors.minlength">
                  Facility type  must be at least 4 characters long.
                </div>
                <div [hidden]="!makeInput.errors.maxlength">
                  Facility type  cannot be more than 64 characters long.
                </div>
                <div [hidden]="!makeInput.errors.pattern">
                  Please enter valid Facility type
                </div>
              </div>
            </div>


          </div>
        </div>
        <!-- first row -->
      </div>

      <div class="col-lg-5 col-md-5 col-sm-5 hidden-xs">
        <div class="onboarding-instruction thumbnail">
          <h3>Create Facility</h3>
          <p>Asset Onboarding experience has a middle step to create a facility.</p>
          <p>Create New Facility: To create a new facility, please make sure the "Create New Facility" is selected
            if not highlighted in green. By default "Create New Facility" button is selected. Enter the Facility
            Name, select Facility Logo, enter address, timezone and facility type.</p>
          <p>If there is no error, the continue button will be enabled. Click Continue button to create
            the facility. If any error happens while creating the facility, you will see the error details.</p>
          <p>Select Existing Facility: If you want to change values of an existing facility, please
            click "Select Existing Facility" button. You can select an existing facility by selecting the facility
            from the Facility Name dropdown. If you don't see the Facility, click "Create New Facility" button
            and create the facility. Selecting an existing facility, pre-populates the values. You can change any value
            of the facility and click Continue button.</p>
          <p>PS: For any issue, please contact BlueSurge Support Team.</p>
        </div>


        <div class="row">
          <div class="col-lg-12 col-md-12 col-sm-12 text-right form-group">
            <button class="btn btn-tab" (click)="cancel()" type="button">Cancel</button>
            <button class="btn btn-tab" (click)="saveFacility(onboardingForm.valid)" type="button" [disabled]="onboardingForm.invalid">Continue</button>
          </div>
        </div>
      </div>
      <!-- main row -->
    </div>
  </form>
</div>
